Show / Hide Table of Contents

# Struct HotBarSlot

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct HotBarSlot

### Fields

| Improve this Doc View Source

#### CommandId

##### Declaration

    public uint CommandId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CommandType

##### Declaration

    public HotbarSlotType CommandType

##### Field Value

Type | Description
--- | ---
HotbarSlotType |

| Improve this Doc View Source

#### CostText

##### Declaration

    public byte *CostText

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Icon

##### Declaration

    public int Icon

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IconA

##### Declaration

    public uint IconA

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IconB

##### Declaration

    public uint IconB

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IconTypeA

##### Declaration

    public HotbarSlotType IconTypeA

##### Field Value

Type | Description
--- | ---
HotbarSlotType |

| Improve this Doc View Source

#### IconTypeB

##### Declaration

    public HotbarSlotType IconTypeB

##### Field Value

Type | Description
--- | ---
HotbarSlotType |

| Improve this Doc View Source

#### IsLoaded

A "boolean" representing if this specific hotbar slot has been fully loaded. False for empty slots and slots that have yet to be loaded in the UI.

##### Declaration

    public byte IsLoaded

##### Field Value

Type | Description
--- | ---
System.Byte |

##### Remarks

This appears to initialize as 0 and is set to 1 when the hotbar slot appears on a visible hotbar. It will not reset if the slot is hidden (and subsequently outdated).

| Improve this Doc View Source

#### KeybindHint

##### Declaration

    public byte *KeybindHint

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### PopUpHelp

##### Declaration

    public Utf8String PopUpHelp

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### PopUpKeybindHint

##### Declaration

    public byte *PopUpKeybindHint

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Size

##### Declaration

    public const int Size = 224

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### UNK_0xC4

##### Declaration

    public ushort UNK_0xC4

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### UNK_0xCA

##### Declaration

    public byte UNK_0xCA

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UNK_0xCB

##### Declaration

    public byte UNK_0xCB

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UNK_0xD0

##### Declaration

    public uint UNK_0xD0

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UNK_0xD4

##### Declaration

    public uint UNK_0xD4

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UNK_0xD8

##### Declaration

    public uint UNK_0xD8

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UNK_0xDC

##### Declaration

    public byte UNK_0xDC

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UNK_0xDD

##### Declaration

    public byte UNK_0xDD

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UNK_0xDE

##### Declaration

    public byte UNK_0xDE

##### Field Value

Type | Description
--- | ---
System.Byte |

### Properties

| Improve this Doc View Source

#### IsEmpty

Check if this hotbar slot is considered "empty" or not.

##### Declaration

    public readonly byte IsEmpty { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

##### Remarks

Borrows game logic of checking for a non-zero command ID. Kept as a byte for API compatibility though this probably should be a bool instead.

### Methods

| Improve this Doc View Source

#### GetDisplayNameForSlot(HotbarSlotType, UInt32)

##### Declaration

    public byte *GetDisplayNameForSlot(HotbarSlotType slotType, uint actionId)

##### Parameters

Type | Name | Description
--- | --- | ---
HotbarSlotType | slotType |
System.UInt32 | actionId |

##### Returns

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### GetIconIdForSlot(HotbarSlotType, UInt32)

##### Declaration

    public int GetIconIdForSlot(HotbarSlotType slotType, uint actionId)

##### Parameters

Type | Name | Description
--- | --- | ---
HotbarSlotType | slotType |
System.UInt32 | actionId |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### LoadIconFromSlotB()

##### Declaration

    public bool LoadIconFromSlotB()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Set(HotbarSlotType, UInt32)

##### Declaration

    public void Set(HotbarSlotType type, uint id)

##### Parameters

Type | Name | Description
--- | --- | ---
HotbarSlotType | type |
System.UInt32 | id |

| Improve this Doc View Source

#### Set(UIModule*, HotbarSlotType, UInt32)

##### Declaration

    public void Set(UIModule*uiModule, HotbarSlotType type, uint id)

##### Parameters

Type | Name | Description
--- | --- | ---
UIModule* | uiModule |
HotbarSlotType | type |
System.UInt32 | id |